Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginModifierSpeciesReference

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginSimpleSpeciesReference
              jp.sbi.celldesigner.plugin.PluginModifierSpeciesReference

    public class PluginModifierSpeciesReference

extends PluginSimpleSpeciesReference

This class wraps org.sbml.libsbml.ModifierSpeciesReference for the plug-in.

Author:
See Also:
  `org.sbml.libsbml.ModifierSpeciesReference`

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSimpleSpeciesReference
`MODIFIER, PRODUCT, REACTANT`

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginModifierSpeciesReference(PluginReaction parent, PluginSpeciesAlias alias)` Constructor

Method Summary
`java.lang.String` | `getModificationType()`
`void` | `setModificationType(java.lang.String modificationType)` Sets the modificationType of this PluginModifierSpeciesReference.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSimpleSpeciesReference
`getAlias, getParentReaction, getParentReactionID, getReferenceType, getSpecies, getSpeciesInstance, setAlias, setReferenceType`

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginModifierSpeciesReference

    public PluginModifierSpeciesReference(PluginReaction parent,
                                          PluginSpeciesAlias alias)

  Constructor

  Parameters:
    `parent` - PluginReaction
    `alias` - PluginSpeciesAlias

Method Detail

### getModificationType

    public java.lang.String getModificationType()

  Returns:
    modificationType

### setModificationType

    public void setModificationType(java.lang.String modificationType)

  Sets the modificationType of this PluginModifierSpeciesReference. The modificationType is the one of the fiels of PluginReactionSymbolType. See PluginReactionSymbolType.

  Parameters:
    `modificationType` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD